Bug 982189 - (ghc-hjsmin) Review Request: ghc-hjsmin - Haskell implementation of a javascript minifier
Review Request: ghc-hjsmin - Haskell implementation of a javascript minifier
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: 982186
Blocks: Elm
  Show dependency treegraph
 
Reported: 2013-07-08 07:07 EDT by Ricky Elrod
Modified: 2013-09-04 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-hjsmin-0.1.4.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 21:40:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-07-08 07:07:52 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/ghc-hjsmin/ghc-hjsmin.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/ghc-hjsmin/ghc-hjsmin-0.1.4.1-1.fc19.src.rpm
Description:
Reduces size of javascript files by stripping out extraneous whitespace and
other syntactic elements, without changing the semantics.
Fedora Account System Username: codeblock
Comment 1 Jens Petersen 2013-07-23 00:29:06 EDT
Looks fine to me.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-hjsmin-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

This is okay for ghc Haskell libraries.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/petersen/pkgreview/982189-ghc-
     hjsmin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 235520 bytes in 20 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-hjsmin-0.1.4.1-1.fc20.x86_64.rpm
          ghc-hjsmin-devel-0.1.4.1-1.fc20.x86_64.rpm
ghc-hjsmin.x86_64: W: spelling-error Summary(en_US) javascript -> java script, java-script, JavaScript
ghc-hjsmin.x86_64: W: spelling-error Summary(en_US) minifier -> magnifier
ghc-hjsmin.x86_64: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
ghc-hjsmin.x86_64: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-hjsmin ghc-hjsmin-devel
ghc-hjsmin.x86_64: W: spelling-error Summary(en_US) javascript -> java script, java-script, JavaScript
ghc-hjsmin.x86_64: W: spelling-error Summary(en_US) minifier -> magnifier
ghc-hjsmin.x86_64: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
ghc-hjsmin.x86_64: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-hjsmin (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(language-javascript-0.5.7-2cde2ae46ab6f76d160438e24cb097a8)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSlanguage-javascript-0.5.7-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSutf8-light-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSutf8-string-0.3.7-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-hjsmin-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(hjsmin-0.1.4.1-b87cb735cecc7e995527ad72f15644b7)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(language-javascript-0.5.7-2cde2ae46ab6f76d160438e24cb097a8)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-hjsmin(x86-64)



Provides
--------
ghc-hjsmin:
    ghc(hjsmin-0.1.4.1-b87cb735cecc7e995527ad72f15644b7)
    ghc-hjsmin
    ghc-hjsmin(x86-64)
    libHShjsmin-0.1.4.1-ghc7.6.3.so()(64bit)

ghc-hjsmin-devel:
    ghc-devel(hjsmin-0.1.4.1-b87cb735cecc7e995527ad72f15644b7)
    ghc-hjsmin-devel
    ghc-hjsmin-devel(x86-64)



Unversioned so-files
--------------------
ghc-hjsmin: /usr/lib64/ghc-7.6.3/hjsmin-0.1.4.1/libHShjsmin-0.1.4.1-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/hjsmin/0.1.4.1/hjsmin-0.1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2a2ca985c9ba648c0c96ca684c9d9f26998af1d8e68d28ea6af50c3b4d83e364
  CHECKSUM(SHA256) upstream package : 2a2ca985c9ba648c0c96ca684c9d9f26998af1d8e68d28ea6af50c3b4d83e364


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 982189


Package is APPROVED
Comment 2 Ricky Elrod 2013-07-23 01:24:27 EDT
New Package SCM Request
=======================
Package Name: ghc-hjsmin
Short Description: haskell implementation of a javascript minifier
Owners: codeblock petersen
Branches: f18 f19
InitialCC: haskell-sig
Comment 3 Gwyn Ciesla 2013-07-23 07:59:49 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-08-21 02:30:29 EDT
ghc-hjsmin-0.1.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-hjsmin-0.1.4.1-1.fc19
Comment 5 Fedora Update System 2013-08-21 20:47:46 EDT
ghc-hjsmin-0.1.4.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 6 Fedora Update System 2013-09-04 21:40:44 EDT
ghc-hjsmin-0.1.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.